Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.tpm.management.configuration
Interface AuthenticationMBean

All Superinterfaces:
  weblogic.management.configuration.ConfigurationMBean, weblogic.descriptor.DescriptorBean, javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, weblogic.descriptor.SettableBean, TPMBaseMBean, weblogic.management.WebLogicMBean

    public interface AuthenticationMBean

extends TPMBaseMBean

The class represents the authentication properties of the client trading partner. Authentication properties can be specified for each Transport's endpoint. There are 3 types of authentication modes, supported by WLI

- BASIC
- SSL_CERT
- SSL_MUTUAL_CERT

If no authentication mode is specified the default is NONE.

BASIC mode can be specified for client's who wants to use have simple username/password kind of authentication over HTTP. SSL configuration is not needed for this mode.

SSL_CERT mode is used for one way authentication for client side only over SSL. SSL needs to be configured and client certificate must be provided for this mode.

SSL_CERT_MUTUAL mode is used for specifying mutual authentication between client and server. SSL needs to be configured. Both the client and server certificate needs to be provided. For using the authentication mode the WLS User name attribute for Trading Partner must be specified. When this mode is specified the client side authentication must also be specified as SSL_CERT

BASIC and SSL_CERT are considered as Client side authentication mode. SSL_CERT_MUTUAL is considered as Server side authentication mode

See Also:
  `TradingPartnerMBean`

Field Summary
`static String` | `BASIC`
`static String` | `NONE`
`static String` | `SSL_CERT`
`static String` | `SSL_CERT_BASIC`
`static String` | `SSL_CERT_MUTUAL`

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`void` | `addClientCertificate(String aliasName)` Registers the name or alias of the client certificate for CERT_SSL authentication mode.
`void` | `addClientTradingPartner(String newValue)` Adds the name of the client trading partner for the authentication mode.
`void` | `addServerCertificate(String aliasName)` Registers the name or alias of the server certificate for CERT_SSL_MUTUAL authentication mode.
`String` | `getClientAuthenticationMode()` Returns the type of client authentication mode specified for this object.
`String` | `getClientCertificateName()` Retrieves the alias/name of the client certificate used for the SSL_CERT authentication.
`String` | `getPassword()` Returns the password used for BASIC authentication mode.
`String` | `getPasswordAlias()` Returns the password alias for the password store.
`String` | `getServerAuthenticationMode()` Returns the type of server authentication mode specified for this object.
`String` | `getServerCertificateName()` Retrieves the alias/name of the server certificate used for the SSL_CERT_MUTUAL authentication.
`String` | `getUserName()` Returns the username used for BASIC authentication mode.
`void` | `removeCertificate(String aliasName)` Removes the reference for the certificate used for authentication.
`CertificateMBean` | `retrieveClientCertificate()` Retrieves the CertificateMBean for client certificate alias.
`TradingPartnerMBean` | `retrieveClientTradingPartner()` Retrieves the client TradingPartnerMBean for this authentication object
`CertificateMBean` | `retrieveServerCertificate()` Retrieves the CertificateMBean for server certificate alias.
`TradingPartnerMBean` | `retrieveTradingPartner()` For OAM user only - Retrieves the TradingPartnerMBean for this authentication object
`void` | `setClientAuthenticationMode(String newValue)` Registers the authentication mode for client type authentication modes.
`void` | `setPassword(String newValue)` Registers the password used for BASIC authentication mode.
`void` | `setPasswordAlias(String newValue)` Registers the password alias used for BASIC authentication mode.
`void` | `setServerAuthenticationMode(String newValue)` Registers the authentication mode for server type authentication modes.
`void` | `setUserName(String newValue)` Registers the username used for BASIC authentication mode.
`void` | `updateAll(String serverCertName, String clientCertName, String userName, String passwordAlias)` Updates authentication

Methods inherited from interface com.bea.wli.tpm.management.configuration.TPMBaseMBean
`fromXML, getDelegateObject, isActive, publish, remove, setActive, setDelegateObject, toXML, toXMLInternal, update, updateInternal`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getComments, getName, getNotes, isDefaultedMBean, isPersistenceEnabled, isSet, restoreDefaultValue, setComments, setDefaultedMBean, setName, setNotes, setPersistenceEnabled, touch, unSet`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Field Detail

### NONE

    static final String NONE

See Also:
  Constant Field Values

### BASIC

    static final String BASIC

See Also:
  Constant Field Values

### SSL_CERT

    static final String SSL_CERT

See Also:
  Constant Field Values

### SSL_CERT_BASIC

    static final String SSL_CERT_BASIC

See Also:
  Constant Field Values

### SSL_CERT_MUTUAL

    static final String SSL_CERT_MUTUAL

See Also:
  Constant Field Values

Method Detail

### getClientAuthenticationMode

    String getClientAuthenticationMode()

  Returns the type of client authentication mode specified for this object.

  Returns:
    `NONE` - If no authentication mode is used `BASIC` - If simple username/password type authentication is used. `SSL_CERT_MUTUAL` - If SSL for client side was specified.

### setClientAuthenticationMode

    void setClientAuthenticationMode(String newValue)
                                     throws javax.management.InvalidAttributeValueException

  Registers the authentication mode for client type authentication modes. The valid values are
  - NONE - No authentication mode, default
  - BASIC - For simple username/password type authentication. For using this mode username and password must also be set.
  - SSL_CERT_MUTUAL - For two way client/server authentication. For using this mode client and server certificates must also be set.

  Parameters:
    `newValue` - the authentication mode
  Throws:
    `javax.management.InvalidAttributeValueException` - - If the specified value is not NONE, BASIC or SSL_CERT_MUTUAL

### getServerAuthenticationMode

    String getServerAuthenticationMode()

  Returns the type of server authentication mode specified for this object.

  Returns:
    `NONE` - If no authentication mode is used `SSL_CERT` - If SSL for server side was specified.

### setServerAuthenticationMode

    void setServerAuthenticationMode(String newValue)
                                     throws javax.management.InvalidAttributeValueException

  Registers the authentication mode for server type authentication modes. The valid values are
  - NONE - No authentication mode, default
  - SSL_CERT - For server side authentication. For using this mode the server certificate must be configured.

  Parameters:
    `newValue` - the authentication mode
  Throws:
    `javax.management.InvalidAttributeValueException` - - If the specified value is not NONE or SSL_CERT

### getUserName

    String getUserName()

  Returns the username used for BASIC authentication mode.

### setUserName

    void setUserName(String newValue)
                     throws javax.management.InvalidAttributeValueException

  Registers the username used for BASIC authentication mode. The method throws InvalidAttributeValueException if the username specified is null.

  Parameters:
    `newValue` - the name to be set
  Throws:
    `javax.management.InvalidAttributeValueException` - - If the specified value is null or has blank spaces

### getPassword

    String getPassword()

  Returns the password used for BASIC authentication mode. The password returned is encryped using BASE64 encoding

  Returns:
    Base64 encoded password

### setPassword

    void setPassword(String newValue)
                     throws javax.management.InvalidAttributeValueException

  Registers the password used for BASIC authentication mode. The value specified should be in clear text. The passwords specified would be encoded while updating the repository The method throws InvalidAttributeValueException if the password specified is null.

  Parameters:
    `newValue` - the password to be set
  Throws:
    `javax.management.InvalidAttributeValueException` - - If the specified value is null or has blank spaces

### getPasswordAlias

    String getPasswordAlias()

  Returns the password alias for the password store. The password is used for BASIC authentication mode.

  Returns:
    alias name for the password store

### setPasswordAlias

    void setPasswordAlias(String newValue)
                          throws javax.management.InvalidAttributeValueException

  Registers the password alias used for BASIC authentication mode. The value specified should be a unique alias name in the password store. The method throws InvalidAttributeValueException if the password specified is null.

  Parameters:
    `newValue` - the password alias name to be set
  Throws:
    `javax.management.InvalidAttributeValueException` - - If the specified value is null or has blank spaces

### addClientTradingPartner

    void addClientTradingPartner(String newValue)
                                 throws javax.management.InvalidAttributeValueException

  Adds the name of the client trading partner for the authentication mode.

  Parameters:
    `newValue` - Specifies the name of the client trading partner, for which this authentication mode is specified.
  Throws:
    `javax.management.InvalidAttributeValueException` - - If the specified value could not set

### addClientCertificate

    void addClientCertificate(String aliasName)
                              throws ConfigurationException

  Registers the name or alias of the client certificate for CERT_SSL authentication mode. This method is also used to register the client certificate when the authentication mode is SSL_CERT_MUTUAL. This method does not import the certificate in the key store, rather only adds a reference to the certificate as stored in Key Store

  Parameters:
    `aliasName` - - Name of the certificate alias in Java Key Store
  Throws:
    `ConfigurationException`
  See Also:
    `CertificateMBean`

### addServerCertificate

    void addServerCertificate(String aliasName)
                              throws ConfigurationException

  Registers the name or alias of the server certificate for CERT_SSL_MUTUAL authentication mode. This method does not import the certificate in the key store, rather only adds a reference to the certificate as stored in Key Store

  Parameters:
    `aliasName` - - Name of the certificate alias in Java Key Store
  Throws:
    `ConfigurationException`
  See Also:
    `CertificateMBean`

### removeCertificate

    void removeCertificate(String aliasName)
                           throws DeleteException,
                                  javax.management.InstanceNotFoundException

  Removes the reference for the certificate used for authentication. The method can be used for removing the reference for both client and server cerficates. This method does not delete/remove the certificate from Key Store, only removes the reference

  Parameters:
    `aliasName` - - Name of the certificate alias in Java Key Store
  Throws:
    `DeleteException`
    `javax.management.InstanceNotFoundException`

### retrieveClientCertificate

    CertificateMBean retrieveClientCertificate()
                                               throws ManagementException

  Retrieves the CertificateMBean for client certificate alias. The Certificate object can be used to retrieve the X509 certificate used for authenticating client request during SSL handshake.

  Returns:
    - Returns the certificate object for the client certificate alias. `null` would be returned if there is no matching client certificate alias
  Throws:
    `ManagementException` - - If client certificate cannot be found in the Java Key Store or could not retrieve the client trading partner for the client certificate

### retrieveServerCertificate

    CertificateMBean retrieveServerCertificate()
                                               throws ManagementException

  Retrieves the CertificateMBean for server certificate alias. The Certificate object can be used to retrieve the X509 certificate used for mutual authentication during SSL handshake.

  Returns:
    - Returns the certificate object for the server certificate alias. `null` would be returned if there is no matching server certificate alias
  Throws:
    `ManagementException` - - If server certificate cannot be found in the Java Key Store or could not retrieve the client trading partner for the server certificate

### getClientCertificateName

    String getClientCertificateName()
                                    throws ManagementException

  Retrieves the alias/name of the client certificate used for the SSL_CERT authentication. The alias returned is the alias of the certificate in the Java KeyStore.

  Returns:
    - Returns the client certificate alias. `null` would be returned if there is no client certificate alias configured
  Throws:
    `ManagementException`

### getServerCertificateName

    String getServerCertificateName()
                                    throws ManagementException

  Retrieves the alias/name of the server certificate used for the SSL_CERT_MUTUAL authentication. The alias returned is the alias of the certificate in the Java KeyStore.

  Returns:
    - Returns the server certificate alias. `null` would be returned if there is no server certificate alias configured
  Throws:
    `ManagementException`

### retrieveClientTradingPartner

    TradingPartnerMBean retrieveClientTradingPartner()
                                                     throws ManagementException

  Retrieves the client TradingPartnerMBean for this authentication object

  Returns:
    - Returns the client trading partner for this authentication
  Throws:
    `ManagementException` - - If the client trading partner is not configured for this authentication mode.

### retrieveTradingPartner

    TradingPartnerMBean retrieveTradingPartner()
                                               throws ManagementException

  For OAM user only - Retrieves the TradingPartnerMBean for this authentication object

  Returns:
    - Returns the trading partner for this authentication
  Throws:
    `ManagementException` - - If the trading partner is not configured for this authentication mode.

### updateAll

    void updateAll(String serverCertName,
                   String clientCertName,
                   String userName,
                   String passwordAlias)
                   throws javax.management.InvalidAttributeValueException,
                          UpdateException,
                          ObjectActiveException

  Updates authentication

  Parameters:
    `serverCertName` - - Alias of the server certificate in keystore
    `clientCertName` - - Alias of the client certificate in keystore
    `userName` - - username for authentication
    `passwordAlias` - - alias name in password store
  Throws:
    `javax.management.InvalidAttributeValueException`
    `UpdateException`
    `ObjectActiveException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD